SELECT DISTINCT patient.nom, patient.prenom
FROM patient
JOIN consultation ON patient.num_SS = consultation.num_SS
JOIN medecin ON consultation.id_medecin = medecin.id_medecin
WHERE medecin.nom = 'ARNOS'
AND medecin.prenom = 'Pierre'